/*
 * 文 件 名:  Encoding
 * 版    权:  浩鲸云计算科技股份有限公司
 * 描    述:  <描述>
 * 修 改 人:  lv.wenbin@huashe.com
 * 修改时间:  2019/2/19
 */
package com.huashe.citybrain.commons.base.enums;

/**
 * $字符集 <功能详细描述>
 *
 * @author lv.wenbin@huashe.com
 * @version [版本号, 2019/2/19]
 * @see [相关类/方法]
 * @since [产品/模块版本]
 */
public enum Encoding {
    // UTF-8 编码
    UTF_8("utf-8"),

    // GBK 编码
    GBK("gbk"),

    // GB2312 编码
    GB_2312("gb2312"),

    // ISO-8859-1 编码V
    IOS_8859_1("ISO-8859-1");

    private String charset;

    private Encoding(String charset) {
        this.charset = charset;
    }

    public String getCharset() {
        return charset;
    }
}